File libqt4-sql-plugins.spec.in of Package libqt4

#
# spec file for package libqt4-sql-plugins
#
# Copyright (c) 2011 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# nodebuginfo

Name:           libqt4-sql-plugins
BuildRequires:  cups-devel
BuildRequires:  libmysqlclient-devel pkgconfig postgresql-devel unixODBC-devel
BuildRequires:  alsa-devel gtk2-devel Mesa-devel
%if 0%{?suse_version}
BuildRequires:  update-desktop-files
%endif
# COMMON-VERSION-BEGIN
# COMMON-VERSION-END
BuildRequires:  libqt4-devel >= %version
Url:            http://www.trolltech.com
License:        QPL, GPL
Group:          System/Libraries
AutoReqProv:    on
Summary:        Qt 4 SQL related libraries
# COMMON-BEGIN
# COMMON-END

%package -n libqt4-sql-unixODBC
License:        QPL, GPL
Group:          Development/Libraries/C and C++
Summary:        Qt 4 unixODBC plugin
Requires:       libqt4-sql = %version
Provides:       libqt4_sql_backend  = %version
Obsoletes:      qt-sql-unixODBC < 4.6.0
Provides:       qt-sql-unixODBC = 4.6.0

%description -n libqt4-sql-unixODBC
Qt unixODBC plugin to support databases via unixODBC within Qt
applications.



Authors:
--------
    Troll Tech AS, Norway

%package -n libqt4-sql-postgresql
License:        QPL, GPL
Group:          Development/Libraries/C and C++
Summary:        Qt 4 PostgreSQL plugin
Requires:       libqt4-sql = %version
Provides:       libqt4_sql_backend  = %version
Obsoletes:      qt-sql-postgresql < 4.6.0
Provides:       qt-sql-postgresql = 4.6.0

%description -n libqt4-sql-postgresql
Qt SQL plugin to support PostgreSQL servers in Qt applications.



Authors:
--------
    Troll Tech AS, Norway

%package -n libqt4-sql-mysql
License:        QPL, GPL
Group:          Development/Libraries/C and C++
Summary:        Qt 4 MySQL support
Requires:       libqt4-sql = %version
Provides:       libqt4_sql_backend  = %version
Obsoletes:      qt-sql-mysql < 4.6.0
Provides:       qt-sql-mysql = 4.6.0

%description -n libqt4-sql-mysql
A plugin to support MySQL server in Qt applications.



Authors:
--------
    Troll Tech AS, Norway

%build
export QTDIR=$PWD
export PATH=$PWD/bin:$PATH
export LD_LIBRARY_PATH=$PWD/lib/
%ifarch ppc64
export RPM_OPT_FLAGS="$RPM_OPT_FLAGS -mminimal-toc"
%endif
export CXXFLAGS="$RPM_OPT_FLAGS"
export CFLAGS="$RPM_OPT_FLAGS"
export MAKEFLAGS="%{?_smp_mflags}"
%ifarch sparc64
platform="-platform linux-g++-64"
%else
platform=""
%endif
echo yes | ./configure %common_options $platform \
   -no-webkit -no-xmlpatterns -nomake examples \
   -plugin-sql-psql -I/usr/include -I/usr/include/pgsql/ -I/usr/include/pgsql/server \
   -plugin-sql-odbc \
   -plugin-sql-mysql -I/usr/include/mysql/ -no-sql-sqlite -no-sql-sqlite2
%if 0
make %{?_smp_mflags} sub-src
%else
rpm -ql libqt4-devel | grep %{_bindir}/ | sed 's#%{_bindir}/##' | \
    ( while read file; do test -e bin/$file || ln -s %{_bindir}/$file bin/ ; done )
rpm -ql libqt4-devel | grep %{_libdir}/lib | sed 's#%{_libdir}/##' | \
    ( while read file; do test -e lib/$file || ln -s %{_libdir}/$file lib/ ; done )
make %{?_smp_mflags} -C src/sql
make %{?_smp_mflags} -C src/plugins/sqldrivers
%endif

%install
export QTDIR=$PWD
%if 0
make INSTALL_ROOT=$RPM_BUILD_ROOT -C src install_subtargets
%else
make INSTALL_ROOT=$RPM_BUILD_ROOT -C src/sql install
make INSTALL_ROOT=$RPM_BUILD_ROOT -C src/plugins/sqldrivers install
%endif
# argggh, qmake is such a piece of <censored>
mkdir -p $RPM_BUILD_ROOT/%_libdir/pkgconfig
find  $RPM_BUILD_ROOT/%_libdir -type f -name '*.pc' -exec mv {} $RPM_BUILD_ROOT/%_libdir/pkgconfig \;
# fix more qmake errors
mkdir -p $RPM_BUILD_ROOT/%_libdir/qt
find $RPM_BUILD_ROOT/%_libdir -type f -name '*la' -print -exec perl -pi -e 's, -L/usr/src/packages/BUILD/\S+,,g' {} \;
find $RPM_BUILD_ROOT/%_libdir/pkgconfig -type f -name '*pc' -print -exec perl -pi -e 's, -L/usr/src/packages/BUILD/\S+,,g' {} \;
rm -rf $RPM_BUILD_ROOT/usr/include
rm -rf $RPM_BUILD_ROOT/usr/%_lib/pkgconfig
mkdir $RPM_BUILD_ROOT/%_libdir/backup
mv $RPM_BUILD_ROOT/%_libdir/libQtSql*.so.* $RPM_BUILD_ROOT/%_libdir/backup
rm -f $RPM_BUILD_ROOT/%_libdir/lib*
mv $RPM_BUILD_ROOT/%_libdir/backup/libQtSql*.so.* $RPM_BUILD_ROOT/%_libdir
rmdir $RPM_BUILD_ROOT/%_libdir/backup
rm -rf $RPM_BUILD_ROOT/usr/bin
for i in $RPM_BUILD_ROOT/%plugindir/*; do
  case "$i" in
    *sqldriv*): ;;
    *) rm -rf $i
  esac
done
rm -f $RPM_BUILD_ROOT/%_libdir/libQtSql*

%clean
rm -rf $RPM_BUILD_ROOT
# no baselibs supplements for older distros
%if %suse_version < 1110
  sed -i -e 's, supplements .*,,' $RPM_SOURCE_DIR/baselibs.conf
%endif

%files -n libqt4-sql-unixODBC
%defattr(-,root,root,755)
%dir %plugindir/sqldrivers

%plugindir/sqldrivers/libqsqlodbc*.so

%files -n libqt4-sql-postgresql
%defattr(-,root,root,755)
%dir %plugindir/sqldrivers

%plugindir/sqldrivers/libqsqlpsql*.so

%files -n libqt4-sql-mysql
%defattr(-,root,root,755)
%dir %plugindir/sqldrivers

%plugindir/sqldrivers/libqsqlmysql*.so

%changelog
openSUSE Build Service is sponsored by